Summary: A generic mozilla plug-in
Name: mozplugger
Version: 1.5.2
Release: 1
License: GPL
Group: Applications/Internet
Url: http://mozplugger.mozdev.org/

Source0: http://mozplugger.mozdev.org/mozplugger/%{name}-%{version}.tar.gz
Patch1: mozplugger-1.5.0-lib64.patch

Requires: mozilla
Requires: mikmod
Requires: xloadimage
Requires: sox

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: plugger

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup -q
%patch1 -p1 -b .lib64

%build
make linux lib=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
make install lib=%{_lib} root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%config /etc/mozpluggerrc
%{_bindir}/*
%{_libdir}/mozilla/plugins/*
%{_mandir}/man7/mozplugger.7*

%changelog
* Wed Apr 07 2004 Than Ngo <than@redhat.com> 1.5.2-1
- update to 1.5.2, fix #117424
- remove mozplugger-1.5.0.patch that included in upstream

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 18 2004 Than Ngo <than@redhat.com> 1.5.0-3 
- drop mozplugger-1.1.3-redhat.patch, it's included in new upstream
- add patch file to fix swallow issue, thanks to Louis Bavoil

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 16 2004 Than Ngo <than@redhat.com> 1.5.0-1
- 1.5.0

* Fri Sep 26 2003 Harald Hoyer <harald@redhat.de> 1.3.2-1
- 1.3.2

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 1.3.1-1
- 1.3.1

* Wed May  7 2003 Than Ngo <than@redhat.com> 1.1.3-1
- initial build
